package com.qmth.teachcloud.report.business.bean.dto.excel;




import com.qmth.teachcloud.common.annotation.ExcelNote;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @Description: 等级导入dto
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/12/10
 */
public class ModuleConfigDto implements Serializable {

    @ExcelNote(value = "等级")
    @NotNull
    private String code;

    @ExcelNote(value = "换算公式")
    @NotNull
    private String formula;

    @ExcelNote(value = "分数范围")
    @NotNull
    private String levelDegree;

    @ExcelNote(value = "水平层次")
    @NotNull
    private String level;

    @ExcelNote(value = "诊断结果")
    private String diagnoseResult;

    @ExcelNote(value = "学习建议")
    private String learnAdvice;

    @NotNull
    @ExcelNote(value = "模块")
    private String moduleName;

    @NotNull
    @ExcelNote(value = "科目代码")
    private String courseCode;

    @NotNull
    @ExcelNote(value = "试卷编号")
    private String paperCode;

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getFormula() {
        return formula;
    }

    public void setFormula(String formula) {
        this.formula = formula;
    }

    public String getLevelDegree() {
        return levelDegree;
    }

    public void setLevelDegree(String levelDegree) {
        this.levelDegree = levelDegree;
    }

    public String getLevel() {
        return level;
    }

    public void setLevel(String level) {
        this.level = level;
    }

    public String getDiagnoseResult() {
        return diagnoseResult;
    }

    public void setDiagnoseResult(String diagnoseResult) {
        this.diagnoseResult = diagnoseResult;
    }

    public String getLearnAdvice() {
        return learnAdvice;
    }

    public void setLearnAdvice(String learnAdvice) {
        this.learnAdvice = learnAdvice;
    }

    public String getModuleName() {
        return moduleName;
    }

    public void setModuleName(String moduleName) {
        this.moduleName = moduleName;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getPaperCode() {
        return paperCode;
    }

    public void setPaperCode(String paperCode) {
        this.paperCode = paperCode;
    }
}
